commit ff67402dcfb2f4913a3ff1d84449a5e1620ee4ae
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: Mon Apr 29 18:57:10 2019 +0200
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: Mon Apr 29 18:57:10 2019 +0200

    configure: Add option to disable automagic dependency on zstd
    
    This commit will add an option which will allow you to explicit disable
    zstd usage.

diff --git a/mklove/modules/configure.zstd b/mklove/modules/configure.zstd
index 6dd621ad..3ea36ccf 100644
--- a/mklove/modules/configure.zstd
+++ b/mklove/modules/configure.zstd
@@ -9,8 +9,12 @@
 #   mkl_check zstd [<action>]
 #
 
+mkl_toggle_option "Feature" ENABLE_ZSTD "--enable-zstd" "Enable support for ZSTD compression" "y"
+
 function manual_checks {
-    local action=$1
+    local action=${1:-disable}
+
+    [[ $ENABLE_ZSTD == y ]] || return 0
 
     if [[ $WITH_STATIC_LINKING != y ]]; then
         # Homebrew does not provide a static library for zstd
